<?php
require('fpdf.php');

class PDF extends FPDF
{
// Cabecera de página
function Header()
{
    $this->Image('./logo/Ajuste.jpg',1,0,200);
    $this->Ln(1);	
	  // $this->Image('logo/logo.jpg',12,10,33,23);
    $this->Ln(1);	
}

// Pie de página
function Footer()
{
    $this->SetFont('Arial','',6);
	$this->SetY(-21);
//	   $this->Image('./logo/pie_factura.jpg',5,259,200);
	$this->SetY(-12);
    //$this->Cell(0,10,'Pagina '.$this->PageNo().'',0,0,'C');	
}
}

// Creación del objeto de la clase heredada
$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);




define('FPDF_FONTPATH','font/');



//include ("Numbers/Words.php");


$pdf->Ln();    
$pdf->Header('../logo/Ajuste.jpg',0,0,0,0);
$total_impo="0";

require("../conexion.php");
$codaju=$_GET["codaju"];


$consulta = "SELECT * FROM ajustes_inventario WHERE codaju='$codaju'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();


        $marcaborrado = $fila["borrado"];
        $fecaju        = $fila["fecaju"];
		$fecaju        = implode("-", array_reverse(explode("-", $fecaju)));
        $cdgtipaju    = $fila["cdgtipaju"];
		$numaju       = $fila["numaju"];
		$dscaju       = $fila["dscaju"];
		
		$codaju       = $fila["codaju"];
		$cdgven       = $fila["cdgusu"];
		$detaju       = $fila["detaju"];
		$subtotal     = $fila["subtot"];
		$impven       = $fila["impven"];
		$total        = $fila["totalajuste"];

	
		
		$consulta = "SELECT * FROM usuarios WHERE codusu=$cdgven";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$dscven = $row["usu"];
		$cdgven = $row["codusu"];


		$consulta3 = "SELECT * FROM tipo_ajuste WHERE cdgtipaju='$cdgtipaju'";
		$resultado3 = $mysqli->query($consulta3);
		$row3 = $resultado3->fetch_array();
		$dscaju = $row3["dscaju"];
		$accaju = $row3["accaju"];


	
	 $faccon = "";
	 $facval = "";
 

	


$consulta2 = "SELECT * FROM web_0000 ";
$resultado2 = $mysqli->query($consulta2);
$datos = $resultado2->fetch_array();

	////////////////////////////////////////////// IMPRIME CONSECUTIVO DE LOS COMPROBANTES SEGUN EMISOR  /////////////////////////////////////////////////////

$tipo_comprobante=$datos["tipcomprobante"];


	$tipofactura="AJUSTE DE INVENTARIO N. ";	
	



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////		
		
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
	
    $pdf->SetFont('Arial','B',10);	
	$pdf->SetY(24);	
	$pdf->Ln(10);
	$pdf->Cell(60);
	$pdf->Cell(30,4,$tipofactura.$numaju,0,0,'L',0);

    $pdf->SetFont('Arial','B',11);	

	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"FECHA:  ".$fecaju,0,0,'L',0);
	

	
	$pdf->SetY(35);		
	$pdf->Cell(163);
	$pdf->Cell(12,4,"Pagina N° 1",0,0,'L',0);
	
	
	
    $pdf->SetFont('Arial','B',14);	
	$pdf->SetY(19);
	$pdf->Ln(0);
	$pdf->Cell(165);
    $pdf->Cell(20,6,$facval,0,0,'L',0);
		

	//emcabezado y datos de la empresa

	
	$pdf->SetFont('Arial','B',20);
    $pdf->SetY(20);	
	$pdf->Ln(-15);
	$pdf->Cell(-5);
    $pdf->Cell(1,1,$datos["NOMCOM"],0,0,'L',0);
	
	 
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(5);	
	$pdf->Ln(5);
	$pdf->Cell(-5);
    $pdf->Cell(10,4,$datos["RAZSOC"],0,0,'L',0);

	
	$pdf->SetFont('Arial','B',9);	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',9);
	
$cedula=$datos["CEDJUR"];
	$telefono=$datos["NUMTEL"];
	$facebook=$datos["dirfac"];
	$cedula_con= "Cédula: ". $cedula ;
	$telefono= "Teléfono: ".$telefono;
	$facebook= "Facebook: ".$facebook;
	
	$pdf->SetY(1);
	$pdf->Ln(13);
	$pdf->Cell(-5);
	$pdf->Cell(70,4,$cedula_con,0,0,'L',0);

   $diremp = $datos["DIREMP"];

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(17);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$telefono,0,0,'L',0);

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(21);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$diremp,0,0,'L',0);
	
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(25);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["COREMP"],0,0,'L',0);
	
		$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(29);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["dirfac"],0,0,'L',0);



	// datos del cliente

	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);


    $pdf->SetFont('Arial','B',10);		
	$pdf->SetY(29);
	$pdf->Ln(13);
	$pdf->Cell(1);
      $pdf->Cell(100,6,"TIPO :  " .$dscaju,0,0,'L',0);



	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(115);
    $pdf->Cell(35,8,"Usuario:  ".$dscven,0,0,'L',0);



	$pdf->SetY(41);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,"Detalle:  ".$detaju,0,0,'L',0); 
	
	

 	$pdf->SetFont('Arial','B',13);
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(162);
	$pdf->Cell(80,10,$faccon,0,0,'L',0); 
	
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(163);
	$pdf->Cell(80,10,$accaju,0,0,'L',0); 
	

   $pdf->SetFont('Arial','B',10);
			

    //ahora mostramos las lneas de la factura


	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.1);
    $pdf->SetFont('Arial','B',10);	


	$pdf->SetY(76);			

	  $importe="0";
	  $impuesto="0";
	  $descuento="0";
      $contador=0;
	  $lineas="0";
		$articulos ="Select * from ajustes_inventario_lineas where codajuste='$codaju' order by numlinea";
		if ($resultado_articulos = $mysqli->query($articulos)) 


		 while ($fila = $resultado_articulos->fetch_assoc()) {

        $numlinea = $fila["numlinea"];
        $cdgbar = $fila["codigo"];
        $dscart = $fila["dscart"];


	
	  $pdf->Cell(-3);

	$consulta = "Select * from web_1001 where cdgbar='$cdgbar' ";
	$resultado = $mysqli->query($consulta);
	$row = $resultado->fetch_array();

     $cosart = $row["cosart"];
	  $cob_iv = $row["COB_IV"];
	   $desart = $row["DESART"];
	    $utiart1 = $row["utiart1"];
		  $pre001 = $row["PRE001"];

	   
		
		  
	    $pdf->SetFont('Arial','B',8);	
	
	 $codigo=$fila["codigo"];	  
	 $pdf->Cell(27,0,$codigo,0,0,'L');
	
		    $pdf->SetFont('Arial','B',10);	
			
	  $cantidad1= number_format($fila["cantidad"],1,".",",");	  
	 
	  $pdf->Cell(8,0,$cantidad1,0,0,'R');


    $pdf->SetFont('Arial','B',8);	
	  
	  	  $acotado = substr($fila["dscart"], 0, 44);
      $acotado = utf8_decode($acotado);
	  $pdf->Cell(2);
	  $pdf->Cell(73,0,$acotado,0,0,'L');
	  

	 $cosart= number_format( $cosart,2,".",",");	  

	 $pdf->Cell(10,0,$cosart,0,0,'R');
   
	  
		
	
		  if ( $cob_iv==2)    //  si el articulo no paga impuesto 
	  {  

      $paga_impuesto="N";
	  $pdf->Cell(2);
	  $pdf->Cell(2,0,$paga_impuesto,0,0,'L');

		
		   }  else  {          ///  si el articulo paga impuesto 

      $paga_impuesto="S";
	  $pdf->Cell(2);
	  $pdf->Cell(2,0,$paga_impuesto,0,0,'L');
    
	   }
	   

  $pdf->SetFont('Arial','B',10);	

	  if ($desart ==0)   {
		  
	  $pdf->Cell(8);	
	  $pdf->Cell(5,0,"",0,0,'C');

	   }  else  { 
	   
	  $pdf->Cell(8);
	  $pdf->Cell(5,0,$desart." %",0,0,'C');

	   }

	  $pdf->Cell(15);


    $utiart1= number_format($utiart1,2,".",",");	  

	 $pdf->Cell(1,0,$utiart1,0,0,'R');
	 
	  $pdf->Cell(5);

	$pre001= number_format( $pre001,2,".",",");	  

	 $pdf->Cell(14,0,$pre001,0,0,'R');
   


	$preivi= number_format($fila["preivi"],2,".",",");

    $pdf->SetFont('Arial','B',10);	
    $pdf->Cell(20);
   $pdf->Cell(1,0,$preivi,0,0,'R');

 

	



  $pdf->Ln(5);	
	
	 
	 ///////////////   si tiene mas de  30 lineas  ////////////
	 
	  
	 
	  
	  
	  
	  $contador=$contador + 1;
	  $lineas=$lineas + 1;	
	


	};
	
	
	

	

	
	$pdf->SetFont('Arial','B',12	);	
    $pdf->SetY(226);
	$pdf->Ln(0);
	$pdf->Cell(78);





	  //vamos acumulando el importe

    $pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	

	// Parametro global Cantidad de filas en el detalle
//   $FilasDetalleFactura;
//	while ($contador<$FilasDetalleFactura)
//
//	{
//
//	 $pdf->Cell(1);
//     $pdf->Cell(25,4,"",0,0,'C');
//     $pdf->Ln(5);	
//	 $contador=$contador +1;
//
//}
	

	
	//Calculamos los valores del final de la factura
	//////// calcula subtotal 

	$subtotal=number_format($subtotal,2,".",",");	
	$impuesto=number_format($impuesto,2,".",",");	
	$total=number_format($total,2,".",",");	      //  DECIMAL



	$pdf->SetY(239);	
	$pdf->Cell(157);
    $pdf->Cell(32,5,$subtotal,0,0,'R',0);
	

	
	$pdf->Ln(6);
	$pdf->SetY(248);
	$pdf->Cell(157);
	$pdf->Cell(32,5,$impven,0,0,'R',0);	
	
	$pdf->Ln(7);	
	$pdf->SetFont('Arial','B',11);
	$pdf->SetY(253);
	$pdf->Cell(157);
	$pdf->Cell(32,5,$total,0,0,'R',0);

	$pdf->Ln(8);


	$pdf->SetY(148);
	$pdf->Cell(15);
	
	//Modificamos esta parte para que también muestra la parte fraccionaria y M.N.

	$decimales = explode(".",$total);	
		

//I: envía el fichero al navegador de forma que se usa la extensión (plug in) si está disponible. El nombre dado en nombre se usa si el usuario escoge la opción "Guardar como..." en el enlace que genera el PDF. 
//D: envía el fichero al navegador y fuerza la descarga del fichero con el nombre especificado por nombre. 
//F: guarda el fichero en un fichero local de nombre nombre. 
//S: devuelve el documento como una cadena. nombre se ignora.
    $pdf->Output("Factura.pdf",'I');
   // $pdf->Output("Factura.pdf",'I');


?>
<?php

  echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";   
?>

